Subject: Cookie - Setting throws exception in Http\Response 
Description

The "Set-Cookie" headers must be set via setCookie().
28 TYPO3\FLOW3\Http\Headers::set("Set-Cookie", "JSESSIONID=0000bpxjzMKKBYiEQM5yG5xd5CG:15rk67n7r; Path=/", boolean)

If the foreign webserver sends an header "Set-Cookie" FLOW3 throws an Exception, and breaks header - parsing. So no content from
Servers sending cookies can be extracted.

Related issues:
duplicated by TYPO3.Flow - Bug # 40625: InvalidArgumentException thrown in fi... Closed 2012-09-04

History
#1 - 2012-09-05 11:26 - Robert Lemke
- Status changed from New to Needs Feedback
- Priority changed from -- undefined -- to Should have
- Target version set to 1.1.1
- PHP Version set to 5.4
- Complexity set to medium

Thanks for the report. Can you give some more info about the steps to reproduce this bug? Were you using the Http\Client\Browser API?

#2 - 2012-09-05 11:33 - Ferdinand Kuhl

Exactly. Together with curlEngine. (Where another bug is, that no host-header is sent - which violates HTTP/1.1 - Protocol, but I will open a new Issue
with patch shortly for that)

But reproduction is possible if you use the Example from Http foundation together with this url:
$response = $this->browser->request('http://typo3.org/https-ajax/info/user.xml');

#3 - 2012-12-12 08:53 - Karsten Dambekalns
- Status changed from Needs Feedback to Resolved
- Target version changed from 1.1.1 to 2.0 beta 1
- % Done changed from 0 to 100

#4 - 2012-12-12 09:03 - Karsten Dambekalns

The Host header is sent as well, btw…
